pinv = player.getInventory()

if(pinv.getItemInSlot(7) != null)
{
if(pinv.getItemInSlot(7).getItemID() != 457)
{
for(i=0;i<7;i++)
{
if(pinv.getItemInSlot(i) == null)
{
var pitem = pinv.getItemInSlot(7).copy();
pinv.emptySlot(7);
pinv.setSlot(i, item);
}
}
}
}
if (pinv.getSlotContainingItem(457) != -1)
{
if (pinv.getSlotContainingItem(457) != 7)
{
try
{
var count = pinv.getItemInSlot(7).getQuantity();
}
catch(e) { var count = 0; }
var item = pinv.getItemInSlot(pinv.getSlotContainingItem(457)).copy();
pinv.emptySlot(pinv.getSlotContainingItem(457));
if (count < 11)
{
if (item.getQuantity() + count <= 11)
{
item.setQuantity(item.getQuantity() + count);
}
else
{
item.setQuantity(11);
}
}
else
{
item.setQuantity(11);
}
pinv.setSlot(7, item);
}
}
